## apt 0.6.35ubuntu2

=== debian/changelog ===
apt (0.6.35ubuntu2) hoary; urgency=low

  * debian/apt.cron.daily:
    - supress stderr output of ls (#8727)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Apr 2005 21:11:11 +0200

apt (0.6.35ubuntu1) hoary; urgency=low

  * apt-pkg/indexcopy.cc:
    - added hardcoded "--ignore-time-conflict" to fix #8496

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Apr 2005 18:17:23 +0200

apt (0.6.35) hoary; urgency=low

  * Merge apt--mvo--0 (incorporates 0.6.34ubuntu1):
    - Implement MaxSize and MaxAge in apt.cron.daily, to prevent the cache
      from growing too large (Ubuntu #6761)
    - some comments about the pkgAcqMetaSig::Custom600Headers() added
    - use gpg --with-colons
    - commented the ftp no_proxy unseting in methods/ftp.cc
    - added support for "Acquire::gpgv::options" in methods/gpgv.cc
  * Merge bubulle@debian.org--2005/apt--main--0
    - Make capitalization more consistent
    - Un-fuzzy translations resulting from capitalization changes
    - Italian translation update

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  7 Mar 2005 20:08:33 -0800

apt (0.6.34) hoary; urgency=low

  * Add missing semicolon to configure-index (Closes: #295773)
  * Update build-depends on gettext to 0.12 (Closes: #295077)
  * Merge from bubulle@debian.org--2005/apt--main--0 to get
    translation updates

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  4 Mar 2005 16:13:15 -0800

apt (0.6.33) hoary; urgency=low

  * Merge michael.vogt@ubuntu.com--2005/apt--mvo--0 (through patch-6)
    - patch-1: cosmetic changes (whitespace, "Apt::GPGV->APT::GPGV")
    - patch-2: (doc) documentation for gpgv
    - patch-3: (doc) new config variables added configure-index
    - patch-4: pkgAcquire::Run() pulse intervall can be configured
    - patch-5: fix for apt-get update removing Release.gpg files (#6865)
    - patch-6: change the path scoring in apt-cdrom, prefer pathes without
      symlinks

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 26 Feb 2005 15:21:17 -0800

apt (0.6.32) hoary; urgency=low

  * Merge michael.vogt@ubuntu.com--2005/apt--mvo--0 (patch-1)
    - Implement Acquire::gpgv::options (Ubuntu bug#6283)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  8 Feb 2005 19:31:15 -0800

apt (0.6.31) hoary; urgency=low

  * Matt Zimmerman
    - Remove debugging output from apt.cron.daily (no one noticed?)
    - Apply patch from Anthony Towns to allow SHA1Summation to process a file
      descriptor until EOF, rather than requiring that the length of input be
      specified (Closes: #291338)
    - Fix build/install of Polish offline documentation, based on patch from
      Christian Perrier (Closes: #270404)
  * Michael Vogt
    - apt-cdrom.cc seperated into frontend (cmdline/apt-cdrom.cc and library
      apt-pkg/cdrom.{cc,h}) (Ubuntu #5668)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  4 Feb 2005 10:23:01 -0800

apt (0.6.30) unstable; urgency=low

  * Add ppc64 to buildlib/archtable
  * Merge michael.vogt@canonical.com--2004/apt--status-fd--0
    - Support preserving dpkg status file descriptor, to support
      better integration with synaptic
  
 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 19 Jan 2005 00:26:01 -0800

apt (0.6.29) hoary; urgency=low

  * Merge apt--mvo--0 (0.6.27ubuntu4)
  

 -- Matt Zimmerman <mdz@canonical.com>  Tue, 28 Dec 2004 17:18:02 -0800

apt (0.6.28) hoary; urgency=low

  * Merge apt--mvo--0
  * Rebuild source to get rid of arch metadata and temporary files in
    0.6.27ubuntu3

 -- Matt Zimmerman <mdz@canonical.com>  Thu, 23 Dec 2004 18:53:16 -0800

apt (0.6.27ubuntu4) hoary; urgency=low

  * remove old sig-file in partial/ before starting to fetch a new sig-file
    (see ubuntu #4769 for the rational)
  * added apt-key update method (uses ubuntu-keyring)
  * documented the "--allow-unauthenticated" switch
  * added DEB_BUILD_PROG_OPTS to debian/rules (additonal options can be 
    passed to DEB_BUILD_PROG like "-S")

 -- Michael Vogt <mvo@debian.org>  Thu, 23 Dec 2004 11:12:51 +0100

apt (0.6.27ubuntu3) hoary; urgency=low

  * added a exact dependency from libapt-pkg-dev to the apt version it was
    build with

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Dec 2004 09:56:32 +0100

apt (0.6.27ubuntu2) hoary; urgency=low

  * fixed a bug in the rule file that happend during the big 0.5->0.6 merge

 -- Michael Vogt <mvo@debian.org>  Tue, 14 Dec 2004 12:14:25 +0100

apt (0.6.27ubuntu1) hoary; urgency=low

  * chmod 755 /usr/bin/apt-key
  * don't display a error when a apt-get update don't find a 
    Packages.bz2/Sources.bz2 file

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Dec 2004 18:40:21 +0100

apt (0.6.27) hoary; urgency=low

  * Merge apt--authentication--0 branch
    - Implement gpg authentication for package repositories (Closes: #203741)
    - Also includes Michael Vogt's fixes
  * Merge apt--misc-abi-changes--0 branch
    - Use pid_t throughout to hold process IDs (Closes: #226701)
    - Import patch from Debian bug #195510: (Closes: #195510)
      - Make Simulate::Describe and Simulate::ShortBreaks private member
        functions
      - Add a parameter (Candidate) to Describe to control whether the
        candidate version is displayed
      - Pass an appropriate value for Candidate everywhere Describe is called

 -- Matt Zimmerman <mdz@canonical.com>  Mon, 13 Dec 2004 01:03:11 -0800

apt (0.5.32) hoary; urgency=low

  * Call setlocale in the methods, so that the messages are properly
    localised (Closes: #282700)
  * Implement support for bzip2-compressed debs (data.tar.bz2)

 -- Matt Zimmerman <mdz@canonical.com>  Sat, 11 Dec 2004 09:05:52 -0800

apt (0.5.31) unstable; urgency=low

  * New Romanian translation from Sorin Batariuc <sorin@bonbon.net>
    (Closes: #281458)
  * Merge changes from Hoary (0.5.30,0.5.30ubuntu2]
  * Fix the example in apt_preferences(5) to match the text
    (Closes: #222267)
  * Add APT::Periodic::Autoclean setting, to allow "apt-get autoclean" to
    be run periodically.  This is useful with


=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.1.62), libdb4.2-dev, gettext (>= 0.12)
Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)

Package: apt
Architecture: any
Depends: ${shlibs:Depends}
Priority: important
Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
Provides: ${libapt-pkg:provides}
Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, gnupg
Section: base
Description: Advanced front-end for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in apt-doc.

Package: apt-doc
Architecture: all
Priority: optional
Replaces: apt (<< 0.5.4.9)
Section: doc
Description: Documentation for APT
 This package contains the user guide and offline guide, for APT, an
 Advanced Package Tool.

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: apt (= ${Source-Version}), apt-utils (= ${Source-Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}
Section: libdevel
Description: Development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Section: doc
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Provides: ${libapt-inst:provides}
Replaces: apt (<< 0.5.9)
Section: admin
Description: APT utility programs
 This package contains some APT utility programs such as apt-ftparchive,
 apt-sortpkgs and apt-extracttemplates.
 .
 apt-extracttemplates is used by debconf to prompt for configuration 
 questions before installation. apt-ftparchive is used to create Package
 and other index files. apt-sortpkgs is a Package/Source file normalizer.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# $Id: rules,v 1.68 2004/05/30 18:21:43 mdz Exp $

# LD_LIBRARY_PATH=pwd/debian/apt/usr/lib dh_shlibdeps -papt
# dpkg: /home/jgg/work/apt2/debian/apt/usr/lib/libapt-pkg.so.2.9 not found.

# For the deb builder, you can run 'debian/rules cvs-build', which does all
# steps nescessary to produce a proper source tarball with the CVS/ removed.
# It builds in debian/cvs-build/apt-<VER>/, and places files in
# debian/cvs-build/.  Optionally, you can run 'debian/rules cvs-mkul' to
# create ../upload-<VER>, with all the files needed to be uploaded placed
# in it.

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  export CXXFLAGS = -O0 -g -Wall
else
  export CXXFLAGS = -O2 -g -Wall
endif

# Default rule
build:

DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)
APT_CVSTAG=$(shell echo "$(APT_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname -m) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# Rebuild configure.in to have the correct version from the change log
ifneq ($(APT_DEBVER),$(APT_CONFVER))
ifneq ($(APT_DEBVER),)
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$ && mv $@.$$$$ $@
endif
else
configure.in:
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
export LIBAPTPKG_MAJOR:=$(shell egrep '^MAJOR=' apt-pkg/makefile |cut -d '=' -f 2)
export LIBAPTINST_MAJOR:=$(shell egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)

# Determine which package we should provide in the control files
LIBAPTPKG_PROVIDE=libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTINST_MAJOR)

debian/shlibs.local: apt-pkg/makefile
	# We have 3 shlibs.local files.. One for 'apt', one for 'apt-utils' and
	# one for the rest of the packages. This ensures that each package gets
	# the right overrides.. 
	rm -rf $@ $@.apt $@.apt-utils
	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR)" > $@.apt

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@.apt-utils
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR)" >> $@.apt-utils

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR) $(LIBAPTINST_PROVIDE)" >> $@

build: build/build-stamp	
build-doc: build/build-doc-stamp	

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(confcxxflags)" ../configure $(confflags)
	touch $@

build/build-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	touch $@

build/build-doc-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) doc
	touch $@

clean:
	dh_testdir
#	dh_testroot
	-$(MAKE) clean
	-$(MAKE) distclean

	rm -rf build

	# Add here commands to clean up after the build process.
	dh_clean debian/copyright debian/shlibs.local debian/shlibs.local.apt debian/shlibs.local.apt-utils

binary-indep: apt-doc libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build-doc debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#	
	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
                            $(BLD)/docs/files* $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt doc/style.txt
	dh_installexamples -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installman -p$@

#	dh_undocumented -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

binary-arch: apt libapt-pkg-dev apt-utils 
apt: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@ /usr/share/bug/$@ /usr/share/$@
#
# apt install
#
	cp $(BLD)/bin/apt-* debian/$@/usr/bin/

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS))

	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;

	cp $(BLD)/bin/methods/* debian/$@/usr/lib/apt/methods/

	cp $(BLD)/scripts/dselect/* debian/$@/usr/lib/dpkg/methods/apt/
	cp -r $(BLD)/locale debian/$@/usr/share/

	cp debian/bugscript debian/$@/usr/share/bug/apt/script

	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@

#	head -n 500 ChangeLog > debian/ChangeLog

	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ 
	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@ -m$(LIBAPTPKG_MAJOR) -V '$(LIBAPTPKG_PROVIDE)'
	dh_installdeb -p$@
	dh_shlibdeps -p$@ -l`pwd`/debian/apt/usr/lib:`pwd`/debian/$@/usr/lib -- -Ldebian/shlibs.local.apt
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
#	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/

	dh_installdocs -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installman -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE) -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)

## apt 0.6.40.1ubuntu9

=== debian/changelog ===
apt (0.6.40.1ubuntu9) breezy; urgency=low

  * No-change upload with new pkgstriptranslations that blacklists apt.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Oct 2005 14:15:06 +0100

apt (0.6.40.1ubuntu8) breezy; urgency=low

  * Cherry picked michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-62:
    - fix for a bad memory/file leak in the mmap code (ubuntu #15603)
  * po/de.po, po/fr.po: 
    - updated the translations
  * po/makefile:
    - create a single pot file in each domain dir to make rosetta happy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Sep 2005 10:16:06 +0200

apt (0.6.40.1ubuntu7) breezy; urgency=low

  * updated the pot/po files , no code changes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Sep 2005 18:38:16 +0200

apt (0.6.40.1ubuntu6) breezy; urgency=low

  * Cherry picked michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-56:
    - make it possible for apt to handle a failed MediaChange event and
      fall back to other sources (ubuntu #13713)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Sep 2005 22:09:50 +0200

apt (0.6.40.1ubuntu5) breezy; urgency=low

  * Cherry picked michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-{50,51}.
    This adds media-change reporting to the apt status-fd (ubuntu #15213)
  * Cherry picked michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-55:
    apt-pkg/cdrom.cc:
    - unmount the cdrom when apt failed to locate any package files

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Sep 2005 15:44:26 +0200

apt (0.6.40.1ubuntu4) breezy; urgency=low

  * debian/apt.cron.daily:
    - fix a embarrassing typo
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  7 Sep 2005 10:10:37 +0200

apt (0.6.40.1ubuntu3) breezy; urgency=low

  * debian/apt.cron.daily:
    - use the ctime as well when figuring what packages need to
      be removed. This fixes the problem that packages copied with    
      "cp -a" (e.g. from the installer) have old mtimes (ubuntu #14504)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Sep 2005 18:30:46 +0200

apt (0.6.40.1ubuntu2) breezy; urgency=low

  * improved the support for "error" and "conffile" reporting from
    dpkg, added the format to README.progress-reporting
  * added README.progress-reporting to the apt-doc package
  * Do md5sum checking for file and cdrom method (closes: #319142)
  * Change pkgPolicy::Pin from private to protected to let subclasses
    access it too (closes: #321799)
  * methods/connect.cc:
    - send failure reason for EAI_AGAIN (TmpResolveFailure) to acuire-item
  * apt-pkg/acquire-item.cc:
    - fail early if a FailReason is TmpResolveFailure (avoids hangs during
      the install when no network is available)
  * merged michael.vogt@ubuntu.com--2005/apt--trust-cdrom--0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Aug 2005 19:44:55 +0200

apt (0.6.40.1ubuntu1) breezy; urgency=low

  * Synchronize with Debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  5 Aug 2005 14:20:56 +0200

apt (0.6.40.1) unstable; urgency=low

  * bugfix in the parsing code for the apt<->dpkg communication. apt 
    crashed when dpkg sends the same state more than once under certain
    conditions
  * 0.6.40 breaks the ABI but I accidentally didn't change the soname :/

 -- Michael Vogt <mvo@debian.org>  Fri,  5 Aug 2005 13:24:58 +0200

apt (0.6.40ubuntu1) breezy; urgency=low

  * Synchronize with Debian

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  4 Aug 2005 15:53:22 -0700

apt (0.6.40) unstable; urgency=low

  * Patch from Jordi Mallach to mark some additional strings for translation
  * Updated Catalan translation from Jordi Mallach
  * Merge from bubulle@debian.org--2005/apt--main--0:
    - Update pot and merge with *.po
    - Updated French translation, including apt-key.fr.8
  * Restore changelog entries from the 0.6.x series that went to Debian
    experimental
  * Merge michael.vogt@ubuntu.com--2005/apt--progress-reporting--0
    - Provide an interface for progress reporting which can be used by
      (e.g.) base-config

 -- Matt Zimmerman <mdz@debian.org>  Thu, 28 Jul 2005 11:57:32 -0700

apt (0.6.39ubuntu4) breezy; urgency=low

  * Fix keyring paths in apt-key, apt.postinst (I swear I remember doing this
    before...)

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 29 Jun 2005 08:39:17 -0700

apt (0.6.39ubuntu3) breezy; urgency=low

  * Fix keyring locations for Ubuntu in apt-key too.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2005 14:45:36 +0100

apt (0.6.39ubuntu2) breezy; urgency=low

  * Install ubuntu-archive.gpg rather than debian-archive.gpg as
    /etc/apt/trusted.gpg.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2005 11:53:34 +0100

apt (0.6.39ubuntu1) breezy; urgency=low

  * Michael Vogt
    - Change debian/bugscript to use #!/bin/bash (Closes: #313402)
    - Fix a incorrect example in the man-page (closes: #282918)
    - Support architecture-specific extra overrides
      (closes: #225947). Thanks to  Anthony Towns for idea and
      the patch, thanks to Colin Watson for testing it.
    - better report network timeouts from the methods to the acuire code,
      only timeout once per sources.list line

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 28 Jun 2005 11:52:24 -0700

apt (0.6.39) unstable; urgency=low

  * Welsh translation update: daf@muse.19inch.net--2005/apt--main--0--patch-6
  * Merge mvo's changes from 0.6.36ubuntu1:
    michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-32
  * Merge aggregated translation updates:
    bubulle@debian.org--2005/apt--main--0
  * Update priority of apt-utils to important, to match the override file
  * Install only one keyring on each branch (Closes: #316119)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 28 Jun 2005 11:35:21 -0700

apt (0.6.38ubuntu1) breezy; urgency=low

  * First release from Ubuntu branch
  * Merge with --main--0, switch back to Ubuntu keyring

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 25 Jun 2005 16:52:41 -0700

apt (0.6.38) unstable; urgency=low



## apt 0.6.40.1ubuntu10

=== debian/changelog ===
apt (0.6.40.1ubuntu10) breezy-updates; urgency=low

  * Backport from dapper:
    - fix crash in apt-ftparchive (thanks to Bastian Blank for the patch)
      (closes: #334671)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Apr 2006 14:40:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: important
 Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>
+Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.1
 Build-Depends: debhelper (>= 4.1.62), libdb4.2-dev, gettext (>= 0.12)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
@@ -53,7 +53,7 @@
 Package: apt-utils
 Architecture: any
 Depends: ${shlibs:Depends}
-Priority: optional
+Priority: important
 Provides: ${libapt-inst:provides}
 Replaces: apt (<< 0.5.9)
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -213,6 +213,11 @@
 
 #	head -n 500 ChangeLog > debian/ChangeLog
 
+	# make rosetta happy and remove pot files in po/ (but leave stuff
+	# in po/domains/* untouched) and cp *.po into each domain dir
+	rm -f build/po/*.pot
+	rm -f po/*.pot
+
 	dh_installexamples -p$@ $(BLD)/docs/examples/*
 	dh_installman -p$@ 
 	dh_installcron -p$@
@@ -250,7 +255,3 @@
 	dh_installchangelogs -p$@
 	dh_strip -p$@
 	dh_compress -p$@
-	dh_fixperms -p$@
-#	dh_suidregister -p$@
-	dh_installdeb -p$@
-	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE) -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)

## apt 0.6.42.3osso13

=== debian/changelog ===
apt (0.6.42.3osso13) unstable; urgency=low

  * Applied performance armel patch 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 26 May 2006 18:00:50 +0300

apt (0.6.42.3osso12) unstable; urgency=low

  * Fix building under armel

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Thu, 25 May 2006 12:45:26 +0300

apt (0.6.42.3osso11) unstable; urgency=low

  * Fixed lintian warnings

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Mon, 24 Apr 2006 17:31:15 +0300

apt (0.6.42.3osso10) unstable; urgency=low

  * prepared to upload to osso (Fixes: NB#22967, NB#26732, NB#26732)
    - applied Marius' patches
    - renamed DEBIAN_DIR

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 19 Apr 2006 14:07:41 +0300

apt (0.6.42.3.emdeb4) unstable; urgency=low

  * compat level 4 to make dh_fixperm works on our treee
  * moved apt-cdrom and apt-config removes before install
  * added DEB_BUILD_OPTIONS=thumb
  * use CXXFLGAS instead of confflags for configure

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 19 Apr 2006 12:34:01 +0300

apt (0.6.42.3.emdeb3) unstable; urgency=low

  * apt-cdrom and apt-config removed
  * build-dep to libdb removed 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sat, 15 Apr 2006 00:23:05 +0300

apt (0.6.42.3.emdeb2) unstable; urgency=low

  * build with debian-dir 

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Fri, 14 Apr 2006 20:44:18 +0300

apt (0.6.42.3.emdeb1) unstable; urgency=low

  * emdebian build

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Mon, 10 Apr 2006 23:56:17 +0300

apt (0.6.42.3) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-129:
    - patch-118: Russian translation update by Yuri Kozlov (closes: #335164)
    - patch-119: add update-po as a pre-req for binary (closes: #329910)
    - patch-121: Complete French translation
    - patch-125: Fixed localization of y/n questions in German translation 
                 (closes: #337078)
    - patch-126: Swedish translation update (closes: #337163)
    - patch-127: Complete Tagalog translation (closes: #337306)
    - patch-128: Danish translation update (closes: #337949)
    - patch-129: Basque translation update (closes: #338101)
  * cmdline/apt-get.cc:
    - bufix in FindSrc  (closes: #335213, #337910)
  * added armeb to archtable (closes: #333599)
  * with --allow-unauthenticated use the old fallback behaviour for
    sources (closes: #335112)
   
 -- Michael Vogt <mvo@debian.org>  Wed,  9 Nov 2005 07:22:31 +0100

apt (0.6.42.2) unstable; urgency=high

  * NMU (approved by maintainer)
  * Add AMD64 archive signing key to debian-archive.gpg (closes: #336500).
  * Add big-endian arm (armeb) support (closes: #333599).
  * Priority high to get the AMD key into testing ASAP.

 -- Frans Pop <fjp@debian.org>  Sun, 30 Oct 2005 21:29:11 +0100
 

apt (0.6.42.1) unstable; urgency=low

  * fix a incorrect example in the apt_prefrences man page
    (thanks to Filipus Klutiero, closes: #282918)
  * apt-pkg/pkgrecords.cc:
    - revert patch from last version, it causes trouble on alpha 
      and ia64 (closes: #335102, #335103)
  * cmdline/apt-get.cc:
    - be extra carefull in FindSrc (closes: #335213)

 -- Michael Vogt <mvo@debian.org>  Sat, 22 Oct 2005 23:44:35 +0200

apt (0.6.42) unstable; urgency=low

  * apt-pkg/cdrom.cc:
    - unmount the cdrom when apt failed to locate any package files
  * allow cdrom failures and fallback to other sources in that case
    (closes: #44135)
  * better error text when dpkg-source fails 
  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-115:
    - patch-99: Added Galician translation
    - patch-100: Completed Danish translation (Closes: #325686)
    - patch-104: French translation completed
    - patch-109: Italian translation completed
    - patch-112: Swedish translation update 
    - patch-115: Basque translation completed (Closes: #333299)
  * applied french man-page update (thanks to Philippe Batailler)
    (closes: #316638, #327456)
  * fix leak in the mmap code, thanks to Daniel Burrows for the
    patch (closes: #250583)
  * support for apt-get [build-dep|source] -t (closes: #152129)
  * added "APT::Authentication::TrustCDROM" option to make the life
    for the installer people easier (closes: #334656)
  * fix crash in apt-ftparchive (thanks to Bastian Blank for the patch)
    (closes: #334671)
  * apt-pkg/contrib/md5.cc:
    - fix a alignment problem on sparc64 that gives random bus errors
      (thanks to Fabbione for providing a test-case)
  * init the default ScreenWidth to 79 columns by default 
    (Closes: #324921)
  * cmdline/apt-cdrom.cc: 
    - fix some missing gettext() calls (closes: #334539)
  * doc/apt-cache.8.xml: fix typo (closes: #334714)
  
 -- Michael Vogt <mvo@debian.org>  Wed, 19 Oct 2005 22:02:09 +0200

apt (0.6.41) unstable; urgency=low

  * improved the support for "error" and "conffile" reporting from
    dpkg, added the format to README.progress-reporting
  * added README.progress-reporting to the apt-doc package
  * improved the network timeout handling, if a index file from a 
    sources.list times out or EAI_AGAIN is returned from getaddrinfo, 
    don't try to get the other files from that entry
  * Support architecture-specific extra overrides
    (closes: #225947). Thanks to  Anthony Towns for idea and
    the patch, thanks to Colin Watson for testing it.
  * Javier Fernandez-Sanguino Pen~a:
    - Added a first version of an apt-secure.8 manpage, and modified
      apt-key and apt.end accordingly. Also added the 'update'
      argument to apt-key which was previously not documented 
      (Closes: #322120)
  * Andreas Pakulat:
    - added example apt-ftparchive.conf file to doc/examples 
      (closes: #322483)
  * Fix a incorrect example in the man-page (closes: #282918)
  * Fix a bug for very long lines in the apt-cdrom code (closes: #280356)
  * Fix a manual page bug (closes: #316314)
  * Do md5sum checking for file and cdrom method (closes: #319142)


=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.1.62), libdb4.2-dev, gettext (>= 0.12)
-Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
+Build-Depends: debhelper (>= 4.1.62), gettext (>= 0.12), dpatch
 
 Package: apt
 Architecture: any
@@ -14,7 +13,7 @@
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Provides: ${libapt-pkg:provides}
 Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, gnupg
-Section: base
+Section: admin
 Description: Advanced front-end for dpkg
  This is Debian's next generation front-end for the dpkg package manager.
  It provides the apt-get utility and APT dselect method that provides a 
@@ -22,15 +21,6 @@
  .
  APT features complete installation ordering, multiple source capability
  and several other unique features, see the Users Guide in apt-doc.
-
-Package: apt-doc
-Architecture: all
-Priority: optional
-Replaces: apt (<< 0.5.4.9)
-Section: doc
-Description: Documentation for APT
- This package contains the user guide and offline guide, for APT, an
- Advanced Package Tool.
 
 Package: libapt-pkg-dev
 Architecture: any
@@ -41,14 +31,6 @@
  This package contains the header files and libraries for
  developing with APT's libapt-pkg Debian package manipulation
  library and the libapt-inst deb/tar/ar library.
-
-Package: libapt-pkg-doc
-Architecture: all
-Priority: optional
-Section: doc
-Description: Documentation for APT development
- This package contains documentation for development of the APT
- Debian package manipulation program and its libraries.
 
 Package: apt-utils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# $Id: rules,v 1.68 2004/05/30 18:21:43 mdz Exp $

# LD_LIBRARY_PATH=pwd/$(DEBIAN_DIR)/apt/usr/lib dh_shlibdeps -papt
# dpkg: /home/jgg/work/apt2/debian/apt/usr/lib/libapt-pkg.so.2.9 not found.

# For the deb builder, you can run '$(DEBIAN_DIR)/rules cvs-build', which does all
# steps nescessary to produce a proper source tarball with the CVS/ removed.
# It builds in $(DEBIAN_DIR)/cvs-build/apt-<VER>/, and places files in
# $(DEBIAN_DIR)/cvs-build/.  Optionally, you can run '$(DEBIAN_DIR)/rules cvs-mkul' to
# create ../upload-<VER>, with all the files needed to be uploaded placed
# in it.

DEBIAN_DIR ?= debian

include /usr/share/dpatch/dpatch.make

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  export CXXFLAGS = -O0 -g -Wall
else
  export CXXFLAGS = -Os -g -Wall
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS   += -mthumb
	CXXFLAGS += -mthumb
endif

export CXXFLAGS CFLAGS

# Default rule
build:

DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)
APT_CVSTAG=$(shell echo "$(APT_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname -m) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# Rebuild configure.in to have the correct version from the change log
ifneq ($(APT_DEBVER),$(APT_CONFVER))
ifneq ($(APT_DEBVER),)
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$ && mv $@.$$$$ $@
endif
else
configure.in:
endif

# APT Programs in apt-utils
APT_UTILS=sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
export LIBAPTPKG_MAJOR:=$(shell egrep '^MAJOR=' apt-pkg/makefile |cut -d '=' -f 2)
export LIBAPTINST_MAJOR:=$(shell egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)

# Determine which package we should provide in the control files
LIBAPTPKG_PROVIDE=libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTINST_MAJOR)

$(DEBIAN_DIR)/shlibs.local: apt-pkg/makefile
	# We have 3 shlibs.local files.. One for 'apt', one for 'apt-utils' and
	# one for the rest of the packages. This ensures that each package gets
	# the right overrides.. 
	rm -rf $@ $@.apt $@.apt-utils
	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR)" > $@.apt

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@.apt-utils
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR)" >> $@.apt-utils

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR) $(LIBAPTINST_PROVIDE)" >> $@

build: build/build-stamp	

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING $(DEBIAN_DIR)/copyright
	cd build && CXXFLAGS="$(CXXFLAGS)" ../configure $(confflags)
	touch $@

build/build-stamp: build/configure-stamp patch-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	touch $@

clean: unpatch
	dh_testdir
#	dh_testroot
	-$(MAKE) clean
	-$(MAKE) distclean

	rm -rf build

	# Add here commands to clean up after the build process.
	dh_clean $(DEBIAN_DIR)/copyright $(DEBIAN_DIR)/shlibs.local $(DEBIAN_DIR)/shlibs.local.apt $(DEBIAN_DIR)/shlibs.local.apt-utils

binary-indep: 
# Build architecture-independent files here.
# Build architecture-dependent files here.

binary-arch: apt libapt-pkg-dev apt-utils 
apt: build $(DEBIAN_DIR)/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@ /usr/share/bug/$@ /usr/share/$@

	# emdebian removes
	rm -f $(BLD)/bin/apt-cdrom $(BLD)/bin/apt-config
	rm -f $(BLD)/bin/methods/cdrom

#
# apt install
#
	cp $(BLD)/bin/apt-* $(DEBIAN_DIR)/$@/usr/bin/

	# Remove the bits that are in apt-utils
	rm $(addprefix $(DEBIAN_DIR)/$@/usr/bin/apt-,$(APT_UTILS))

	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-pkg*.so.*" -exec cp -a "{}" $(DEBIAN_DIR)/$@/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-pkg*.so.*" -exec cp -a "{}" $(DEBIAN_DIR)/$@/usr/lib/ \;

	cp $(BLD)/bin/methods/* $(DEBIAN_DIR)/$@/usr/lib/apt/methods/

	cp $(BLD)/scripts/dselect/* $(DEBIAN_DIR)/$@/usr/lib/dpkg/methods/apt/
#	cp -r $(BLD)/locale $(DEBIAN_DIR)/$@/usr/share/

	cp $(DEBIAN_DIR)/bugscript $(DEBIAN_DIR)/$@/usr/share/bug/apt/script

	cp share/debian-archive.gpg $(DEBIAN_DIR)/$@/usr/share/$@
	echo 'Acquire::gpgv::Options {"--ignore-time-conflict";};' \
	     >$(DEBIAN_DIR)/$@/etc/apt/apt.conf.d/50gpgv

#	head -n 500 ChangeLog > $(DEBIAN_DIR)/ChangeLog

#	dh_installexamples -p$@ $(BLD)/docs/examples/*
#	dh_installman -p$@ 
#	dh_installcron -p$@
	dh_installdocs -p$@
#	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	chmod a+x $(DEBIAN_DIR)/apt/usr/{lib/dpkg/methods/apt/{setup,update,install},share/bug/apt/script}
	dh_makeshlibs -p$@ -m$(LIBAPTPKG_MAJOR) -V '$(LIBAPTPKG_PROVIDE)'
	dh_installdeb -p$@
	dh_shlibdeps -p$@ -l`pwd`/$(DEBIAN_DIR)/apt/usr/lib:`pwd`/$(DEBIAN_DIR)/$@/usr/lib -- -L$(DEBIAN_DIR)/shlibs.local.apt
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build $(DEBIAN_DIR)/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	cp -a $(BLD)/bin/libapt-pkg*.so $(DEBIAN_DIR)/libapt-pkg-dev/usr/lib/
	cp -a $(BLD)/bin/libapt-inst*.so $(DEBIAN_DIR)/libapt-pkg-dev/usr/lib/
#	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) $(DEBIAN_DIR)/libapt-pkg-dev/usr/lib/libapt-pkg.so
	cp $(BLD)/include/apt-pkg/*.h $(DEBIAN_DIR)/libapt-pkg-dev/usr/include/apt-pkg/

#	dh_installdocs -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installman -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE) -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-utils: build $(DEBIAN_DIR)/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@

	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-inst*.so.*" -exec cp -a "{}" $(DEBIAN_DIR)/$@/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-inst*.so.*" -exec cp -a "{}" $(DEBIAN_DIR)/$@/usr/lib/ \;

	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) $(DEBIAN_DIR)/$@/usr/bin/
#	dh_installdocs -p$@
#	dh_installexamples -p$@

## apt 0.6.42.3osso18

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: default
default: startup all

.PHONY: headers library clean veryclean all binary program doc
all headers library clean veryclean binary program doc dirs:
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C apt-inst $@
	$(MAKE) -C methods $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C ftparchive $@
	$(MAKE) -C dselect $@
#	$(MAKE) -C doc $@
#	$(MAKE) -C po $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity 
maintainer-clean dist-clean distclean pristine sanity: veryclean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h include/apti18n.h makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/include/apti18n.h: buildlib/apti18n.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

=== debian/changelog ===
apt (0.6.42.3osso18) unstable; urgency=low

  * Fixes: NB#31929.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 23 Oct 2006 21:00:17 +0300

apt (0.6.42.3osso17) unstable; urgency=low

  * Fixes: NB#31929, NB#32959.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu,  7 Sep 2006 15:59:17 +0300

apt (0.6.42.3osso16) unstable; urgency=low

  * More improvements for the dpkg status parsing.  Fixes: NB#25494.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 25 Aug 2006 20:14:51 +0300

apt (0.6.42.3osso15) unstable; urgency=low

  * Added 06transientsigs patch, to survive transient network failures
    without forgetting about good signatures.  Fixes: NB#34545.
  * Removed evil dpatch from build system.  (I plan to continue gathering
    patches in debian/patches, but just for documentation purposes.)

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 12 Jul 2006 18:30:28 +0300

apt (0.6.42.3osso14) unstable; urgency=low

  * Added 05statusparse patch, to improve robustness when parsing status
    output from dpkg. Fixes: NB#33835.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 30 Jun 2006 16:55:59 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.1.62), gettext (>= 0.12), dpatch
+Build-Depends: debhelper (>= 4.1.62), gettext (>= 0.12)
 
 Package: apt
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 DEBIAN_DIR ?= debian
 
-include /usr/share/dpatch/dpatch.make
+# include /usr/share/dpatch/dpatch.make
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -122,12 +122,12 @@
 	cd build && CXXFLAGS="$(CXXFLAGS)" ../configure $(confflags)
 	touch $@
 
-build/build-stamp: build/configure-stamp patch-stamp
+build/build-stamp: build/configure-stamp # patch-stamp
 	# Add here commands to compile the package.
 	$(MAKE) binary
 	touch $@
 
-clean: unpatch
+clean: # unpatch
 	dh_testdir
 #	dh_testroot
 	-$(MAKE) clean

## apt 0.6.42.3osso19

=== debian/changelog ===
apt (0.6.42.3osso19) unstable; urgency=low

  * Fixes: NB#48705.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 29 Nov 2006 15:35:37 +0200
